org.apache.hadoop.registry.server.dns

## Class SecureableZone

- java.lang.Object
- - org.xbill.DNS.Zone
  - - org.apache.hadoop.registry.server.dns.SecureableZone

- All Implemented Interfaces:
    Serializable

      public class SecureableZone
      extends org.xbill.DNS.Zone

  A zone implementation geared to support some DNSSEC functionality.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.xbill.DNS.Zone

      `PRIMARY, SECONDARY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecureableZone(org.xbill.DNS.Name zone, int dclass, String remote)` Creates a Zone by performing a zone transfer to the specified host.
    `SecureableZone(org.xbill.DNS.Name zone, org.xbill.DNS.Record[] records)` Creates a Zone from an array of records.
    `SecureableZone(org.xbill.DNS.Name zone, String file)` Creates a Zone from the records in the specified master file.
    `SecureableZone(org.xbill.DNS.ZoneTransferIn xfrin)` Creates a Zone by doing the specified zone transfer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRecord(org.xbill.DNS.Record r)` Adds a Record to the Zone.
    `org.xbill.DNS.Record` | `getNXTRecord(org.xbill.DNS.Record queryRecord, org.xbill.DNS.Zone zone)` Return a NXT record appropriate for the query.
    `void` | `removeRecord(org.xbill.DNS.Record r)` Removes a record from the Zone.

    - ### Methods inherited from class org.xbill.DNS.Zone

      `addRRset, AXFR, findExactMatch, findRecords, getDClass, getNS, getOrigin, getSOA, iterator, toMasterFile, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SecureableZone

          public SecureableZone(org.xbill.DNS.ZoneTransferIn xfrin)
                         throws IOException,
                                org.xbill.DNS.ZoneTransferException

      Creates a Zone by doing the specified zone transfer.
      Parameters:
        `xfrin` - The incoming zone transfer to execute.
      Throws:
        `IOException` - if there is an error.
        `org.xbill.DNS.ZoneTransferException` - if there is an error.

    - #### SecureableZone

          public SecureableZone(org.xbill.DNS.Name zone,
                                int dclass,
                                String remote)
                         throws IOException,
                                org.xbill.DNS.ZoneTransferException

      Creates a Zone by performing a zone transfer to the specified host.
      Parameters:
        `zone` - zone name.
        `dclass` - the dclass
        `remote` - the remote host.
      Throws:
        `IOException` - if there is an error.
        `org.xbill.DNS.ZoneTransferException` - if there is an error.

    - #### SecureableZone

          public SecureableZone(org.xbill.DNS.Name zone,
                                String file)
                         throws IOException

      Creates a Zone from the records in the specified master file.
      Parameters:
        `zone` - The name of the zone.
        `file` - The master file to read from.
      Throws:
        `IOException` - if there is an error.

    - #### SecureableZone

          public SecureableZone(org.xbill.DNS.Name zone,
                                org.xbill.DNS.Record[] records)
                         throws IOException

      Creates a Zone from an array of records.
      Parameters:
        `zone` - The name of the zone.
        `records` - The records to add to the zone.
      Throws:
        `IOException` - if there is an error.

  - ### Method Detail

    - #### addRecord

          public void addRecord(org.xbill.DNS.Record r)

      Adds a Record to the Zone.
      Overrides:
        `addRecord` in class `org.xbill.DNS.Zone`
      Parameters:
        `r` - The record to be added
      See Also:
        `Record`

    - #### removeRecord

          public void removeRecord(org.xbill.DNS.Record r)

      Removes a record from the Zone.
      Overrides:
        `removeRecord` in class `org.xbill.DNS.Zone`
      Parameters:
        `r` - The record to be removed
      See Also:
        `Record`

    - #### getNXTRecord

          public org.xbill.DNS.Record getNXTRecord(org.xbill.DNS.Record queryRecord,
                                                   org.xbill.DNS.Zone zone)

      Return a NXT record appropriate for the query.
      Parameters:
        `queryRecord` - the query record.
        `zone` - the zone to search.
      Returns:
        the NXT record describing the insertion point.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.